import axios from "axios"
import { useGlobalState } from '../store/index'
// import getToken from '@/request/token'

const state = useGlobalState()

const service = axios.create({
	baseURL: 'http://10.83.68.108:8090/ghjgDataShareApi',
	timeout: 60000, // 请求超时时间 毫秒
	// withCredentials: true,
	headers: {
		"Content-Type": "application/json",
	},
})

service.interceptors.request.use(
	(config) => {
		/* if (!state.token.value) {
			return getToken().then(res => {
				if(res.data.status == 'success') {
					state.token.value = res.data.data.token
					config.data.token = res.data.data.token
					return config
				} else {
					state.token.value = null
					return false
				}
			})
		} else {
			config.data.token = state.token.value
			return config;
		} */

		config.data.token = state.token.value
		return config;

	},
	(error) => {
		return Promise.reject(error);
	}
)

service.interceptors.response.use(
	(response) => {
		const res = response.data;
		return res;
	},
	(error) => {
		return Promise.reject(error);
	}
)

export default service;

