import request from "@/request/index";
import { useNow, useDateFormat } from '@vueuse/core'

const date = useDateFormat(useNow(), 'YYYY-MM-DD').value
// const yesday = useDateFormat((new Date).getTime() - 24 * 60 * 60 * 1000, 'YYYY-MM-DD').value
  

export function GetCbxxtj() {
  return request({
      url: '/dataShare/GetBoatStatisticsForHPJ',
      method: "post",
      data: {},
  })
}

export function GetCbjcg(pageSize=1000) {
  return request({
      url: '/dataShare/GetBoatReportForHPJ',
      method: "post",
      data: {
        "pageIndex": 1, 
        "pageSize": pageSize
      },
  })
}

export function GetCbzy(pageSize=10) {
  return request({
      url: '/dataShare/GetShipOperationPort',
      method: "post",
      data: {
        "pageIndex": 1, 
        "pageSize": pageSize
      },
  })
}

export function GetCbyj(pageSize=10) {
  return request({
      url: '/dataShare/GetWarningPort',
      method: "post",
      data: {
        "pageIndex": 1, 
        "pageSize": pageSize
      },
  })
}